#!/usr/bin/env python3
'''
Entrypoint for WADMON
'''


import sys

from wadutils import WADFile

# Open and process file when running as main executable
if __name__ == '__main__':
	# Check argument count
	if(len(sys.argv) < 2):
		print("Please provide a WAD file.", file=sys.stderr)
		exit(42)

	# Attempt to open file with provided argument
	wf = WADFile(sys.argv[1])